default['cassandra']['dse']['snitch']           = 'SimpleSnitch'
default['cassandra']['dse']['service_name']     = 'dse'
default['cassandra']['dse']['conf_dir']         = '/etc/dse'
default['cassandra']['dse']['lib_dir'] = '/usr/share/dse/cassandra/lib'
default['cassandra']['dse']['repo_user'] = 'user'
default['cassandra']['dse']['repo_pass'] = 'password'
default['cassandra']['dse']['rhel_repo_url'] = "http://#{node['cassandra']['dse']['repo_user']}:#{node['cassandra']['dse']['repo_pass']}@rpm.datastax.com/enterprise"
default['cassandra']['dse']['debian_repo_url'] = "http://#{node['cassandra']['dse']['repo_user']}:#{node['cassandra']['dse']['repo_pass']}@debian.datastax.com/enterprise"
default['cassandra']['dse']['debian_repo_url_key'] = "http://#{node['cassandra']['dse']['repo_user']}:#{node['cassandra']['dse']['repo_pass']}@debian.datastax.com/debian/repo_key"

# Chained default of audit_logging_options.enabled for backwards compatibility
default['cassandra']['dse']['audit_logging_options']['enabled'] = node['cassandra']['audit_logging']
default['cassandra']['dse']['audit_logging_options']['logger'] = 'SLF4JAuditWriter'
# Chained default of included_categories for backwards compatibility
default['cassandra']['dse']['audit_logging_options']['included_categories'] = node['cassandra']['active_categories']
default['cassandra']['dse']['audit_logging_options']['excluded_categories'] = ''
default['cassandra']['dse']['audit_logging_options']['included_keyspaces'] = ''
default['cassandra']['dse']['audit_logging_options']['excluded_keyspaces'] = ''
default['cassandra']['dse']['audit_logging_options']['retention_time'] = 0
default['cassandra']['dse']['audit_logging_options']['cassandra_audit_writer_options']['mode'] = 'sync'
default['cassandra']['dse']['audit_logging_options']['cassandra_audit_writer_options']['batch_size'] = 50
default['cassandra']['dse']['audit_logging_options']['cassandra_audit_writer_options']['flush_time'] = 500
default['cassandra']['dse']['audit_logging_options']['cassandra_audit_writer_options']['num_writers'] = 10
default['cassandra']['dse']['audit_logging_options']['cassandra_audit_writer_options']['queue_size'] = 10_000
default['cassandra']['dse']['audit_logging_options']['cassandra_audit_writer_options']['write_consistency'] = 'QUORUM'

default['cassandra']['dse']['ldap_options']['server_host'] = nil
default['cassandra']['dse']['ldap_options']['server_port'] = nil
default['cassandra']['dse']['ldap_options']['search_dn'] = nil
default['cassandra']['dse']['ldap_options']['search_password'] = nil
default['cassandra']['dse']['ldap_options']['use_ssl'] = nil
default['cassandra']['dse']['ldap_options']['use_tls'] = nil
default['cassandra']['dse']['ldap_options']['truststore_path'] = nil
default['cassandra']['dse']['ldap_options']['truststore_password'] = nil
default['cassandra']['dse']['ldap_options']['truststore_type'] = nil
default['cassandra']['dse']['ldap_options']['user_search_base'] = nil
default['cassandra']['dse']['ldap_options']['user_search_filter'] = nil
default['cassandra']['dse']['ldap_options']['credentials_validity_in_ms'] = nil
default['cassandra']['dse']['ldap_options']['search_validity_in_seconds'] = nil
default['cassandra']['dse']['ldap_options']['connection_pool']['max_active'] = nil
default['cassandra']['dse']['ldap_options']['connection_pool']['max_idle'] = nil

default['cassandra']['dse']['cql_slow_log_options']['enabled'] = true
default['cassandra']['dse']['cql_slow_log_options']['threshold_ms'] = 2_000
default['cassandra']['dse']['cql_slow_log_options']['minimum_samples'] = 100
default['cassandra']['dse']['cql_slow_log_options']['ttl_seconds'] = 259_200
default['cassandra']['dse']['cql_slow_log_options']['async_writers'] = 1
default['cassandra']['dse']['cql_system_info_options']['enabled'] = false
default['cassandra']['dse']['cql_system_info_options']['refresh_rate_ms'] = 10_000
default['cassandra']['dse']['resource_level_latency_tracking_options']['enabled'] = false
default['cassandra']['dse']['resource_level_latency_tracking_options']['refresh_rate_ms'] = 10_000
default['cassandra']['dse']['db_summary_stats_options']['enabled'] = false
default['cassandra']['dse']['db_summary_stats_options']['refresh_rate_ms'] = 10_000
default['cassandra']['dse']['cluster_summary_stats_options']['enabled'] = false
default['cassandra']['dse']['cluster_summary_stats_options']['refresh_rate_ms'] = 10_000
default['cassandra']['dse']['spark_cluster_info_options']['enabled'] = false
default['cassandra']['dse']['spark_cluster_info_options']['refresh_rate_ms'] = 10_000
default['cassandra']['dse']['spark_application_info_options']['enabled'] = false
default['cassandra']['dse']['spark_application_info_options']['refresh_rate_ms'] = 10_000
default['cassandra']['dse']['spark_application_info_options']['driver']['sink'] = false
default['cassandra']['dse']['spark_application_info_options']['driver']['connectorSource'] = false
default['cassandra']['dse']['spark_application_info_options']['driver']['jvmSource'] = false
default['cassandra']['dse']['spark_application_info_options']['driver']['stateSource'] = false
default['cassandra']['dse']['spark_application_info_options']['executor']['sink'] = false
default['cassandra']['dse']['spark_application_info_options']['executor']['connectorSource'] = false
default['cassandra']['dse']['spark_application_info_options']['executor']['jvmSource'] = false
default['cassandra']['dse']['histogram_data_options']['enabled'] = false
default['cassandra']['dse']['histogram_data_options']['refresh_rate_ms'] = 10_000
default['cassandra']['dse']['histogram_data_options']['retention_count'] = 3
default['cassandra']['dse']['user_level_latency_tracking_options']['enabled'] = false
default['cassandra']['dse']['user_level_latency_tracking_options']['refresh_rate_ms'] = 10_000
default['cassandra']['dse']['user_level_latency_tracking_options']['top_stats_limit'] = 100
default['cassandra']['dse']['user_level_latency_tracking_options']['quantiles'] = false
default['cassandra']['dse']['solr_indexing_error_log_options']['enabled'] = false
default['cassandra']['dse']['solr_indexing_error_log_options']['ttl_seconds'] = 604_800
default['cassandra']['dse']['solr_indexing_error_log_options']['async_writers'] = 1
default['cassandra']['dse']['solr_slow_sub_query_log_options']['enabled'] = false
default['cassandra']['dse']['solr_slow_sub_query_log_options']['ttl_seconds'] = 604_800
default['cassandra']['dse']['solr_slow_sub_query_log_options']['async_writers'] = 1
default['cassandra']['dse']['solr_slow_sub_query_log_options']['threshold_ms'] = 100
default['cassandra']['dse']['solr_update_handler_metrics_options']['enabled'] = false
default['cassandra']['dse']['solr_update_handler_metrics_options']['ttl_seconds'] = 604_800
default['cassandra']['dse']['solr_update_handler_metrics_options']['refresh_rate_ms'] = 60_000
default['cassandra']['dse']['solr_request_handler_metrics_options']['enabled'] = false
default['cassandra']['dse']['solr_request_handler_metrics_options']['ttl_seconds'] = 604_800
default['cassandra']['dse']['solr_request_handler_metrics_options']['refresh_rate_ms'] = 60_000
default['cassandra']['dse']['solr_index_stats_options']['enabled'] = false
default['cassandra']['dse']['solr_index_stats_options']['ttl_seconds'] = 604_800
default['cassandra']['dse']['solr_index_stats_options']['refresh_rate_ms'] = 60_000
default['cassandra']['dse']['solr_cache_stats_options']['enabled'] = false
default['cassandra']['dse']['solr_cache_stats_options']['ttl_seconds'] = 604_800
default['cassandra']['dse']['solr_cache_stats_options']['refresh_rate_ms'] = 60_000
default['cassandra']['dse']['solr_latency_snapshot_options']['enabled'] = false
default['cassandra']['dse']['solr_latency_snapshot_options']['ttl_seconds'] = 604_800
default['cassandra']['dse']['solr_latency_snapshot_options']['refresh_rate_ms'] = 60_000
default['cassandra']['dse']['node_health_options']['enabled'] = false
default['cassandra']['dse']['node_health_options']['refresh_rate_ms'] = 60_000
default['cassandra']['dse']['node_health_options']['uptime_ramp_up_period_seconds'] = 86_400

default['cassandra']['dse']['system_key_directory'] = '/etc/dse/conf'
default['cassandra']['dse']['config_encryption_active'] = false
default['cassandra']['dse']['config_encryption_key_name'] = 'system_key'
default['cassandra']['dse']['system_info_encryption']['enabled'] = false
default['cassandra']['dse']['system_info_encryption']['cipher_algorithm'] = 'AES'
default['cassandra']['dse']['system_info_encryption']['secret_key_strength'] = 128
default['cassandra']['dse']['system_info_encryption']['chunk_length_kb'] = 64
default['cassandra']['dse']['system_info_encryption']['key_name'] = 'system_table_keytab'
